import { ref, computed } from 'vue'
import { defineStore } from 'pinia'
import { dispatchNotification } from '@/components/Notification'
import router from '@/router'

export const useMessageStore = defineStore('message_box', () => {
    const message = ref('')
    const isSending = ref(false)
    const open = ref(false)

    function handleOnDismissMessageBox() {
        open.value = false;
    }

    function showDialogMessageBox() {
        open.value = true;
    }

    function send() {

    }

    return { message, send, isSending, open, handleOnDismissMessageBox, showDialogMessageBox }
})